org.apache.fop.tools.fontlist

## Class FontListSerializer

- java.lang.Object
- - org.apache.fop.tools.fontlist.FontListSerializer

    public class FontListSerializer
    extends Object

Turns the font list into SAX events.

### Constructor Summary

Constructors
Constructor and Description
`FontListSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `generateSAX(SortedMap fontFamilies, GenerationHelperContentHandler handler)` Generates SAX events from the font damily map.
`void` `generateSAX(SortedMap fontFamilies, String singleFamily, GenerationHelperContentHandler handler)` Generates SAX events from the font damily map.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FontListSerializer

    public FontListSerializer()

### Method Detail

#### generateSAX

    public void generateSAX(SortedMap fontFamilies,
                            GenerationHelperContentHandler handler)
                     throws SAXException

Generates SAX events from the font damily map.

Parameters:
  `fontFamilies` - the font families
  `handler` - the target SAX handler
Throws:
  `SAXException` - if an XML-related exception occurs

#### generateSAX

    public void generateSAX(SortedMap fontFamilies,
                            String singleFamily,
                            GenerationHelperContentHandler handler)
                     throws SAXException

Generates SAX events from the font damily map.

Parameters:
  `fontFamilies` - the font families
  `singleFamily` - if not null, the output will be filtered so only this single font family will be used
  `handler` - the target SAX handler
Throws:
  `SAXException` - if an XML-related exception occurs